import test_harness


expected = """<HTML>
  <HEAD>
    <meta http-equiv='Content-Type' content='text/html; charset=iso-8859-1'>
    <TITLE>Address Book</TITLE>
  </HEAD>
  <BODY>
    <H1>Tabulate just the Names</H1>
    <TABLE>
      <TR>
        <TD ALIGN='CENTER'>
          <B ID='pieter.aaron@inter.net'>Pieter Aaron</B>
        </TD>
      </TR>
      <TR>
        <TD ALIGN='CENTER'>
          <B ID='endubuisi@spamtron.com'>Emeka Ndubuisi</B>
        </TD>
      </TR>
      <TR>
        <TD ALIGN='CENTER'>
          <B ID='vxz@magog.ru'>Vasia Zhugenev</B>
        </TD>
      </TR>
    </TABLE>
  </BODY>
</HTML>"""

def Test(tester):


    tester.startGroup("Keys")

    source = test_harness.FileInfo(uri="addr_book1.xml", nsAware=0)
    sty = test_harness.FileInfo(uri="addr_book_keyed.xsl")
    xtest = test_harness.XsltTester(source,
                                    [sty],
                                    expected,
                                    )

    res = xtest.test(tester)
    tester.groupDone()
    return res

if __name__ == '__main__':
    from Ft.Lib import TestSuite
    tester = TestSuite.TestSuite(1,1)
    Test(tester)
