def Test(tester):
    tester.startGroup("Reader + XInclude")
    tester.startTest("entity sanity check")
    tester.warning("Does not properly use test suite")
    tester.testDone()
    tester.groupDone()

    from Ft.Lib import pDomlette
    from xml.dom import ext
    reader = pDomlette.PyExpatReader()

    doc = reader.fromString(SRC_1)
    ext.PrettyPrint(doc)
    
    doc = reader.fromString(SRC_2)
    ext.PrettyPrint(doc)
    
    doc = reader.fromString(SRC_3)
    ext.PrettyPrint(doc)
    
    doc = reader.fromString(SRC_4)
    ext.PrettyPrint(doc)
    

SRC_1 = """\
<?xml version='1.0'?>
<!DOCTYPE x [ <!ENTITY inc SYSTEM "include1.xml"> ]>
<x>
&inc;
</x>"""

SRC_2 = """\
<?xml version='1.0'?>
<x xmlns:xinclude="http://www.w3.org/1999/XML/xinclude">
<myinclude xinclude:href="include1.xml"/>
</x>"""

SRC_3="""\
<?xml version='1.0'?>
<x xmlns:xinclude="http://www.w3.org/1999/XML/xinclude">
<myinclude xinclude:href="include2.xml"/>
</x>"""

SRC_4="""\
<?xml version='1.0'?>
<x xmlns:xinclude="http://www.w3.org/1999/XML/xinclude">
<myinclude xinclude:href="include2.xml" xinclude:parse='text'/>
</x>"""


if __name__ == '__main__':
    from Ft.Lib import TestSuite
    tester = TestSuite.TestSuite(1,1)
    Test(tester)
